Subject: [bug#30809] [PATCH 2/2] services: Add Gitolite.

From: Christopher Baines <[email-masked]>
Date: Sun, 19 Aug 2018 17:12:27 +0100

Clément Lassieur <[email-masked]> writes:

> Hello Christopher,
>
> I often get:
>
>     guix: gitolite: installing /gnu/store/hraw5zr6lp2w4v6czhvf1gp6phzxmzmj-gitolite.rc
>     fatal: Unable to create '/var/lib/git/repositories/gitolite-admin.git/./index.lock': File exists.
>
> While upgrading my gitolite service.  Did you encounter it?  Do you know
> how to fix it?

I don't think I've seen this. It could be if something has gone wrong
with git, it's left the lockfile around. Perhaps before you next
reconfigure, check if the lockfile exists, and then assuming git isn't
running, delete it.

Do say if it keeps happening though.